const require_DidCommMessagesReceivedV2Message = require('../messages/DidCommMessagesReceivedV2Message.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/message-pickup/protocol/v2/handlers/DidCommMessagesReceivedV2Handler.ts
var DidCommMessagesReceivedV2Handler = class {
	constructor(messagePickupService) {
		this.supportedMessages = [require_DidCommMessagesReceivedV2Message.DidCommMessagesReceivedV2Message];
		this.messagePickupService = messagePickupService;
	}
	async handle(messageContext) {
		messageContext.assertReadyConnection();
		return this.messagePickupService.processMessagesReceived(messageContext);
	}
};

//#endregion
exports.DidCommMessagesReceivedV2Handler = DidCommMessagesReceivedV2Handler;